/* $Id: asca_imsg_def.h,v 1.1 2012/10/23 05:17:42 waka Exp $
 *
 * Any code and mechanism in this module may not be used in any from
 * without permissions. COPYRIGHT (C) 2009 SONY Corporation,
 * all right RESERVED.
 *
 * file:        $RCSfile: asca_imsg_def.h,v $
 * author:      sra_okada
 * edited by:   $Author: waka $
 * created:     2009/06/15
 * updated:     $Date: 2012/10/23 05:17:42 $
 * version:     $Revision: 1.1 $
 *
 * descriptions:
 *   IO&IT Defines Common Header File
 */

// CAUTION!!
// The Character Code of this file must be EUC (not Shift-JIS).
// The Line Feed Code of this file must be LF  (not CR+LF).

#include <stdint.h>

#ifndef __ASCACMN_IMSG_DEF_H
#define __ASCACMN_IMSG_DEF_H

#define AS_COMMON_VERSION       (124)

/*---------------------------------------------------------------------------*/
/* [ModuleID(1byte)]                                                         */
/*                                                                           */
/* ModuleIDs are used in From/To field of PacketHeader of InternalMessage    */
/*---------------------------------------------------------------------------*/
#define AS_MOD_ID_IT_CMD          (0x01)
#define AS_MOD_ID_IT_BOOT         (0x02)
#define AS_MOD_ID_IT_HKP          (0x03)
#define AS_MOD_ID_IT_LOG          (0x04)
#define AS_MOD_ID_IT_DM           (0x05)
#define AS_MOD_ID_IT_MA           (0x08)
#define AS_MOD_ID_CONV_FS         (0x10)
#define AS_MOD_ID_CONV_DAEMON     (0x11)
#define AS_MOD_ID_IO_LIF          (0x20)
#define AS_MOD_ID_NETAPI          (0x40)
#define AS_MOD_ID_SOAPD           (0x50)
#define AS_MOD_ID_IT_FP_UPDATER   (0x60)
#define AS_MOD_ID_IT_DM_UPDATER   (0x61)

/*---------------------------------------------------------------------------*/
/* [SequenceID]                                                              */
/*---------------------------------------------------------------------------*/
#define AS_SEQID_SEQNO_MIN            (0)
#define AS_SEQID_SEQNO_MAX            (9999)

#define AS_GET_SEQID_BOXID(seqid)     (0x0000000F & ((seqid) >> 28))
#define AS_GET_SEQID_IOID(seqid)      (0x0000000F & ((seqid) >> 24))
#define AS_GET_SEQID_PORTID(seqid)    (0x0000000F & ((seqid) >> 20))
#define AS_GET_SEQID_MODTYPE(seqid)   (0x0000000F & ((seqid) >> 16))
#define AS_GET_SEQID_SEQNO(seqid)     (0x0000FFFF &  (seqid))

#define AS_SET_SEQID_BOXID(seqid,v)   ((seqid) |= ((0x0000000F & (v)) << 28))
#define AS_SET_SEQID_IOID(seqid,v)    ((seqid) |= ((0x0000000F & (v)) << 24))
#define AS_SET_SEQID_PORTID(seqid,v)  ((seqid) |= ((0x0000000F & (v)) << 20))
#define AS_SET_SEQID_MODTYPE(seqid,v) ((seqid) |= ((0x0000000F & (v)) << 16))
#define AS_SET_SEQID_SEQNO(seqid,v)   ((seqid) |= (0x0000FFFF & (v)))

// BOX ID
#define AS_BOX_ID_1                (0x1)    // BoxID #1
#define AS_BOX_ID_2                (0x2)    // BoxID #2
#define AS_BOX_ID_3                (0x3)    // BoxID #3
#define AS_BOX_ID_4                (0x4)    // BoxID #4
#define AS_BOX_ID_5                (0x5)    // BoxID #5
#define AS_BOX_ID_6                (0x6)    // BoxID #6
#define AS_BOX_ID_7                (0x7)    // BoxID #7
#define AS_BOX_ID_8                (0x8)    // BoxID #8

// IO ID
#define AS_IO_ID_IT                (0x0)    // IT SubSystem
#define AS_IO_ID_IO                (0x1)    // IO SubSystem
#define AS_IO_ID_CONV_HIGH         (0xA)    // Converter SubSystem :
                                            //   for HighRez(OP1a) Sessions
#define AS_IO_ID_CONV_COPY         (0xB)    // Converter SubSystem : 
                                            //   for Copy Sessions
#define AS_IO_ID_CONV_OTHER        (0xC)    // Converter SubSystem
                                            //   others
#define AS_IO_ID_NETAPI            (0xE)    // NetAPI

// Port ID
#define AS_PORT_ID_NULL            (0x0)
#define AS_PORT_ID_1               (0x1)    // SDI or Network Port #1
#define AS_PORT_ID_2               (0x2)    // SDI or Network Port #2 
#define AS_PORT_ID_3               (0x3)    // SDI or Network Port #3 
#define AS_PORT_ID_4               (0x4)    // SDI or Network Port #4 
#define AS_PORT_ID_5               (0x5)    // SDI or Network Port #5 
#define AS_PORT_ID_6               (0x6)    // SDI or Network Port #6 
#define AS_PORT_ID_7               (0x7)    // SDI or Network Port #7 
#define AS_PORT_ID_8               (0x8)    // SDI or Network Port #8 
#define AS_PORT_ID_9               (0x9)    // SDI or Network Port #9 
#define AS_PORT_ID_10              (0xA)    // SDI or Network Port #10 
#define AS_PORT_ID_11              (0xB)    // SDI or Network Port #11 
#define AS_PORT_ID_12              (0xC)    // SDI or Network Port #12 
#define AS_PORT_ID_13              (0xD)    // SDI or Network Port #13 
#define AS_PORT_ID_14              (0xE)    // SDI or Network Port #14 

// Module Type
#define AS_MOD_TYPE_IO_CMD         (0x1)
#define AS_MOD_TYPE_IO_MC          (0x2)
#define AS_MOD_TYPE_IO_LIF         (0x3)
#define AS_MOD_TYPE_IO_SETUP       (0x4)

#define AS_MOD_TYPE_IT_CMD         (0x1)
#define AS_MOD_TYPE_IT_BOOT        (0x2)
#define AS_MOD_TYPE_IT_MA          (0x3)
#define AS_MOD_TYPE_IT_META        (0x4)
#define AS_MOD_TYPE_IT_FS          (0x5)
#define AS_MOD_TYPE_IT_UPDATER     (0x6)
#define AS_MOD_TYPE_IT_DM          (0x7)
#define AS_MOD_TYPE_IT_LTS         (0x8)
#define AS_MOD_TYPE_IT_PDLOG       (0x9)
#define AS_MOD_TYPE_IT_MACIFS        (0xa)

#define AS_MOD_TYPE_CONV_DAEMON    (0x1)
#define AS_MOD_TYPE_CONV_FS        (0x2)
#define AS_MOD_TYPE_CONV_D_CIFS    (0x3)

// Storage ID
#define AS_STORAGE_ID_LS           (0x1)    // LocalStorage
#define AS_STORAGE_ID_SXS1         (0x2)    // SxS Slot1
#define AS_STORAGE_ID_SXS2         (0x3)    // SxS Slot2
#define AS_STORAGE_ID_PD           (0x4)    // PD PROAV
#define AS_STORAGE_ID_PD_BPAV      (0x5)    // PD UserData(BPAV)
#define AS_STORAGE_ID_PD_XD        (0x6)    // PD UserData(XDROOT)
//#define AS_STORAGE_ID_PD_SYSDECK (0x7)    // PD UserData(TentativeName:SysDeck)

//#define AS_MOD_TYPE_NETAPI_xxx        // <TBD>

/*---------------------------------------------------------------------------*/
/* [InternalMessage CommandID(4byte)]                                        */
/*                                                                           */
/* Value range of CommandID                                                  */
/*   valid   : 0x00000000 - 0x00099999                                       */
/*   invalid : 0x00100000 - 0x09999999                                       */
/*---------------------------------------------------------------------------*/
// BootSeq
#define AS_INT_CMD_BOOTDONE                       (0x00001000)
#define AS_INT_CMD_BOOTDONE_COMP                  (0x80001000)
#define AS_INT_CMD_FPSWITCHINFO                   (0x00001001) // No "Comp"
#define AS_INT_CMD_STARTNOTIFY                    (0x00001002)
#define AS_INT_CMD_STARTNOTIFY_COMP               (0x80001002)
#define AS_INT_CMD_SHUTDOWN                       (0x00001003)
#define AS_INT_CMD_SHUTDOWN_COMP                  (0x80001003)
#define AS_INT_CMD_SETVERSION                     (0x00001004) // No "Comp"
#define AS_INT_CMD_SYSTEMINFO                     (0x00001005) // No "Comp"

// Setup
#define AS_INT_CMD_REQSETUP                       (0x00002000)
#define AS_INT_CMD_REQSETUP_COMP                  (0x80002000)
#define AS_INT_CMD_CHGSETUP                       (0x00002001)
#define AS_INT_CMD_CHGSETUP_COMP                  (0x80002001)
#define AS_INT_CMD_SETSYSTEMTC                    (0x00002002) // No "Comp"
#define AS_INT_CMD_SELECTMEDIA                    (0x00002003)
#define AS_INT_CMD_SELECTMEDIA_COMP               (0x80002003)
#define AS_INT_CMD_PRESETREMOTE                   (0x00002004)
#define AS_INT_CMD_PRESETREMOTE_COMP              (0x80002004)
#define AS_INT_CMD_SELECTMONITOROUT               (0x00002005)
#define AS_INT_CMD_SELECTMONITOROUT_COMP          (0x80002005)
#define AS_INT_CMD_CHGSWITCH                      (0x00002006) // No "Comp"
#define AS_INT_CMD_DATEANDTIMEPRESET              (0x00002007)
#define AS_INT_CMD_DATEANDTIMEPRESET_COMP         (0x80002007)
#define AS_INT_CMD_PRESETPHONELEVEL               (0x00002008) // No "Comp"
#define AS_INT_CMD_IOCHGSETUP                     (0x00002009) // No "Comp"
#define AS_INT_CMD_IOCHGFMENU                     (0x0000200a) // No "Comp"
#define AS_INT_CMD_OPENMENUDATA                   (0x0000200b)
#define AS_INT_CMD_OPENMENUDATA_COMP              (0x8000200b)
#define AS_INT_CMD_CLOSEMENUDATA                  (0x0000200c)
#define AS_INT_CMD_CLOSEMENUDATA_COMP             (0x8000200c)
#define AS_INT_CMD_CHGFMENU                       (0x0000200d)
#define AS_INT_CMD_CHGFMENU_COMP                  (0x8000200d)
#define AS_INT_CMD_IORELOADSETUP                  (0x0000200e) // No "Comp"
#define AS_INT_CMD_REQREPOWER                     (0x0000200f) // No "Comp"
#define AS_INT_CMD_REQCHANGEDSETUP                (0x00002010)
#define AS_INT_CMD_REQCHANGEDSETUP_COMP           (0x80002010)
#define AS_INT_CMD_IOSAVESETUP                    (0x00002011) // No "Comp"
#define AS_INT_CMD_REQREPOWERNOTIFY               (0x00002012) // No "Comp"
#define AS_INT_CMD_IOCHGCLIPNUMERIC               (0x00002013) // No "Comp"
#define AS_INT_CMD_SETUPCHANGENOTIFY              (0x00002014) // No "Comp"
#define AS_INT_CMD_REQSETUPDISP                   (0x00002015)
#define AS_INT_CMD_REQSETUPDISP_COMP              (0x80002015)
#define AS_INT_CMD_CHKBANKDATA                    (0x00002016)
#define AS_INT_CMD_CHKBANKDATA_COMP               (0x80002016)
#define AS_INT_CMD_EXECSETUPFUNC                  (0x00002017)
#define AS_INT_CMD_EXECSETUPFUNC_COMP             (0x80002017)
#define AS_INT_CMD_RESETHOURMETER                 (0x00002018) // No "Comp"
#define AS_INT_CMD_PRESETAUDIOINPUTLEVEL          (0x00002019)
#define AS_INT_CMD_PRESETAUDIOINPUTLEVEL_COMP     (0x80002019)
#define AS_INT_CMD_PRESETAUDIOOUTPUTLEVEL         (0x00002020)
#define AS_INT_CMD_PRESETAUDIOOUTPUTLEVEL_COMP    (0x80002020)
#define AS_INT_CMD_NETRESETCOUNTER                (0x00002021)
#define AS_INT_CMD_NETRESETCOUNTER_COMP           (0x80002021)
#define AS_INT_CMD_STARTBOARDADJ                  (0x00002022)
#define AS_INT_CMD_STARTBOARDADJ_COMP             (0x80002022)
#define AS_INT_CMD_STOPBOARDADJ                   (0x00002023)
#define AS_INT_CMD_STOPBOARDADJ_COMP              (0x80002023)
#define AS_INT_CMD_CHGBOARDADJ                    (0x00002024)
#define AS_INT_CMD_CHGBOARDADJ_COMP               (0x80002024)
#define AS_INT_CMD_SAVEBOARDADJ                   (0x00002025)
#define AS_INT_CMD_SAVEBOARDADJ_COMP              (0x80002025)
#define AS_INT_CMD_REQSYSTEM                      (0x00002026)
#define AS_INT_CMD_REQSYSTEM_COMP                 (0x80002026)
#define AS_INT_CMD_INSTALLSOFTKEY                 (0x00002027)
#define AS_INT_CMD_INSTALLSOFTKEY_COMP            (0x80002027)
#define AS_INT_CMD_REMOVESOFTKEY                  (0x00002028)
#define AS_INT_CMD_REMOVESOFTKEY_COMP             (0x80002028)
#define AS_INT_CMD_RESETSOFTKEYPASSWD             (0x00002029)
#define AS_INT_CMD_RESETSOFTKEYPASSWD_COMP        (0x80002029)
#define AS_INT_CMD_IOLOADSOFTKEY                  (0x00002030)
#define AS_INT_CMD_IOLOADSOFTKEY_COMP             (0x80002030)
#define AS_INT_CMD_IOSAVESOFTKEY                  (0x00002031)
#define AS_INT_CMD_IOSAVESOFTKEY_COMP             (0x80002031)

// ClipManagement
#define AS_INT_CMD_GETCLIPINFO                    (0x00003000)
#define AS_INT_CMD_GETCLIPINFO_COMP               (0x80003000)
#define AS_INT_CMD_MATERIALCHANGENOTIFY           (0x00003001) // No "Comp"
#define AS_INT_CMD_RENAMEMATERIAL                 (0x00003004)
#define AS_INT_CMD_RENAMEMATERIAL_COMP            (0x80003004)
#define AS_INT_CMD_DELETEMATERIAL                 (0x00003005)
#define AS_INT_CMD_DELETEMATERIAL_COMP            (0x80003005)
#define AS_INT_CMD_GETMATERIALLIST                (0x00003006)
#define AS_INT_CMD_GETMATERIALLIST_COMP           (0x80003006)
#define AS_INT_CMD_GETMATERIALID                  (0x00003007)
#define AS_INT_CMD_GETMATERIALID_COMP             (0x80003007)
#define AS_INT_CMD_LOCKMATERIAL                   (0x00003008)
#define AS_INT_CMD_LOCKMATERIAL_COMP              (0x80003008)
#define AS_INT_CMD_CHECKMATERIALLOCK              (0x00003009)
#define AS_INT_CMD_CHECKMATERIALLOCK_COMP         (0x80003009)
#define AS_INT_CMD_UNLOCKMATERIAL                 (0x00003010)
#define AS_INT_CMD_UNLOCKMATERIAL_COMP            (0x80003010)
#define AS_INT_CMD_GETMATERIALPROPERTY            (0x00003011)
#define AS_INT_CMD_GETMATERIALPROPERTY_COMP       (0x80003011)
#define AS_INT_CMD_GETMATERIALPROPERTYBYNAME      (0x00003012)
#define AS_INT_CMD_GETMATERIALPROPERTYBYNAME_COMP (0x80003012)
#define AS_INT_CMD_GENERATEBASICUMID              (0x00003013)
#define AS_INT_CMD_GENERATEBASICUMID_COMP         (0x80003013)
#define AS_INT_CMD_GETMATERIALNAME                (0x00003014)
#define AS_INT_CMD_GETMATERIALNAME_COMP           (0x80003014)
#define AS_INT_CMD_LOCKMATERIALBYNAME             (0x00003015)
#define AS_INT_CMD_LOCKMATERIALBYNAME_COMP        (0x80003015)
#define AS_INT_CMD_UNLOCKMATERIALBYNAME           (0x00003016)
#define AS_INT_CMD_UNLOCKMATERIALBYNAME_COMP      (0x80003016)
#define AS_INT_CMD_READPICPNTBYID                 (0x00003017)
#define AS_INT_CMD_READPICPNTBYID_COMP            (0x80003017)
#define AS_INT_CMD_GETFILESIZE                    (0x00003018)
#define AS_INT_CMD_GETFILESIZE_COMP               (0x80003018)
#define AS_INT_CMD_PUTEJECTPOS                    (0x00003019)
#define AS_INT_CMD_PUTEJECTPOS_COMP               (0x80003019)
#define AS_INT_CMD_DISKFULLNOTIFY                 (0x00003020) // No "Comp"
#define AS_INT_CMD_OPENMATERIALLIST               (0x00003021)
#define AS_INT_CMD_OPENMATERIALLIST_COMP          (0x80003021)
#define AS_INT_CMD_CLOSEMATERIALLIST              (0x00003022)
#define AS_INT_CMD_CLOSEMATERIALLIST_COMP         (0x80003022)
#define AS_INT_CMD_OPENMATERIALNAMELIST           (0x00003023)
#define AS_INT_CMD_OPENMATERIALNAMELIST_COMP      (0x80003023)
#define AS_INT_CMD_GETMATERIALNAMELIST            (0x00003024)
#define AS_INT_CMD_GETMATERIALNAMELIST_COMP       (0x80003024)
#define AS_INT_CMD_CLOSEMATERIALNAMELIST          (0x00003025)
#define AS_INT_CMD_CLOSEMATERIALNAMELIST_COMP     (0x80003025)
#define AS_INT_CMD_GETMATERIALDETAIL              (0x00003026)
#define AS_INT_CMD_GETMATERIALDETAIL_COMP         (0x80003026)
#define AS_INT_CMD_GETMATERIALADDITIONALINFO      (0x00003027)
#define AS_INT_CMD_GETMATERIALADDITIONALINFO_COMP (0x80003027)
#define AS_INT_CMD_FORMAT                         (0x00003028)
#define AS_INT_CMD_FORMAT_COMP                    (0x80003028)
#define AS_INT_CMD_DELETEPROTECTMATERIAL          (0x00003029)
#define AS_INT_CMD_DELETEPROTECTMATERIAL_COMP     (0x80003029)
#define AS_INT_CMD_UNDELETEPROTECTMATERIAL        (0x00003030)
#define AS_INT_CMD_UNDELETEPROTECTMATERIAL_COMP   (0x80003030)
#define AS_INT_CMD_EJECT                          (0x00003031)
#define AS_INT_CMD_EJECT_COMP                     (0x80003031)
#define AS_INT_CMD_EJECTREADY                     (0x00003032)
#define AS_INT_CMD_EJECTREADY_COMP                (0x80003032)
#define AS_INT_CMD_GETEJECTPOS                    (0x00003034)
#define AS_INT_CMD_GETEJECTPOS_COMP               (0x80003034)
#define AS_INT_CMD_GETMATERIALCUEUPINFO           (0x00003035)
#define AS_INT_CMD_GETMATERIALCUEUPINFO_COMP      (0x80003035)
#define AS_INT_CMD_STANDBYOFFREADY                (0x00003036)
#define AS_INT_CMD_STANDBYOFFREADY_COMP           (0x80003036)
#define AS_INT_CMD_FINALIZE                       (0x00003037)
#define AS_INT_CMD_FINALIZE_COMP                  (0x80003037)
#define AS_INT_CMD_GETMEDIAPROPERTY               (0x00003038)
#define AS_INT_CMD_GETMEDIAPROPERTY_COMP          (0x80003038)

// Rec/Play
#define AS_INT_CMD_OPENCLIP                       (0x00004000)
#define AS_INT_CMD_OPENCLIP_COMP                  (0x80004000)
#define AS_INT_CMD_OPENCLIPCREATE                 (0x00004001)
#define AS_INT_CMD_OPENCLIPCREATE_COMP            (0x80004001)
#define AS_INT_CMD_CLOSECLIP                      (0x00004002)
#define AS_INT_CMD_CLOSECLIP_COMP                 (0x80004002)
#define AS_INT_CMD_CLOSEDELETECLIP                (0x00004003)
#define AS_INT_CMD_CLOSEDELETECLIP_COMP           (0x80004003)
#define AS_INT_CMD_SEEKCLIP                       (0x00004004)
#define AS_INT_CMD_SEEKCLIP_COMP                  (0x80004004)
#define AS_INT_CMD_READCLIP                       (0x00004005)
#define AS_INT_CMD_READCLIP_COMP                  (0x80004005)
#define AS_INT_CMD_WRITECLIP                      (0x00004006)
#define AS_INT_CMD_WRITECLIP_COMP                 (0x80004006)
#define AS_INT_CMD_INSERTCLIP                     (0x00004007)
#define AS_INT_CMD_INSERTCLIP_COMP                (0x80004007)
#define AS_INT_CMD_CANCEL                         (0x00004008)
#define AS_INT_CMD_CANCEL_COMP                    (0x80004008)
#define AS_INT_CMD_READPICPNT                     (0x00004009)
#define AS_INT_CMD_READPICPNT_COMP                (0x80004009)
#define AS_INT_CMD_WRITEPICPNT                    (0x00004010)
#define AS_INT_CMD_WRITEPICPNT_COMP               (0x80004010)
#define AS_INT_CMD_READNRTMETA                    (0x00004011)
#define AS_INT_CMD_READNRTMETA_COMP               (0x80004011)
#define AS_INT_CMD_WRITENRTMETA                   (0x00004012)
#define AS_INT_CMD_WRITENRTMETA_COMP              (0x80004012)
#define AS_INT_CMD_REALLOCCLIP                    (0x00004013)
#define AS_INT_CMD_REALLOCCLIP_COMP               (0x80004013)
#define AS_INT_CMD_CLOSEINFO                      (0x00004014) // No "Comp"
#define AS_INT_CMD_NOPASSINGINFO                  (0x00004015) // No "Comp"
#define AS_INT_CMD_SETPLAYENABLE                  (0x00004016) // No "Comp"
#define AS_INT_CMD_COPYNRTMETA                    (0x00004017)
#define AS_INT_CMD_COPYNRTMETA_COMP               (0x80004017)
#define AS_INT_CMD_CREATESNAPSHOT                 (0x00004018)
#define AS_INT_CMD_CREATESNAPSHOT_COMP            (0x80004018)
#define AS_INT_CMD_DELETESNAPSHOT                 (0x00004019)
#define AS_INT_CMD_DELETESNAPSHOT_COMP            (0x80004019)
#define AS_INT_CMD_GETMATERIALNAMEBYSUBCLIP       (0x00004020)
#define AS_INT_CMD_GETMATERIALNAMEBYSUBCLIP_COMP  (0x80004020)
#define AS_INT_CMD_SNAPSHOTDURNOTIFY 	          (0x00004021) // No "Comp"
#define AS_INT_CMD_OPENCLIPEDIT                   (0x00004022)
#define AS_INT_CMD_OPENCLIPEDIT_COMP              (0x80004022)
#define AS_INT_CMD_SETEDITON					  (0x00004023)
#define AS_INT_CMD_SETEDITON_COMP				  (0x80004023)
#define AS_INT_CMD_SETEDITOFF					  (0x00004024)
#define AS_INT_CMD_SETEDITOFF_COMP				  (0x80004024)
#define AS_INT_CMD_SWAPCLIPEDIT                   (0x00004025)
#define AS_INT_CMD_SWAPCLIPEDIT_COMP              (0x80004025)
#define AS_INT_CMD_CLOSECLIPEDIT                  (0x00004026)
#define AS_INT_CMD_CLOSECLIPEDIT_COMP             (0x80004026)
#define AS_INT_CMD_OPENEDLCREATE                  (0x00004027)
#define AS_INT_CMD_OPENEDLCREATE_COMP             (0x80004027)
#define AS_INT_CMD_OPENEDLEDIT                    (0x00004028)
#define AS_INT_CMD_OPENEDLEDIT_COMP               (0x80004028)
#define AS_INT_CMD_APPENDSUBCLIP				  (0x00004029)
#define AS_INT_CMD_APPENDSUBCLIP_COMP			  (0x80004029)
#define AS_INT_CMD_DELETESUBCLIP				  (0x00004030)
#define AS_INT_CMD_DELETESUBCLIP_COMP			  (0x80004030)
#define AS_INT_CMD_CLOSEEDL                       (0x00004031)
#define AS_INT_CMD_CLOSEEDL_COMP                  (0x80004031)

#define AS_INT_CMD_NETIDLE                        (0x00004100)
#define AS_INT_CMD_NETIDLE_COMP                   (0x80004100)
#define AS_INT_CMD_NETPLAY                        (0x00004101)
#define AS_INT_CMD_NETPLAY_COMP                   (0x80004101)
#define AS_INT_CMD_NETRECORD                      (0x00004102)
#define AS_INT_CMD_NETRECORD_COMP                 (0x80004102)
#define AS_INT_CMD_NETPLAYSTOP                    (0x00004103)
#define AS_INT_CMD_NETPLAYSTOP_COMP               (0x80004103)
#define AS_INT_CMD_NETSTEP                        (0x00004105)
#define AS_INT_CMD_NETSTEP_COMP                   (0x80004105)
#define AS_INT_CMD_NETRECORDINIT                  (0x00004107)
#define AS_INT_CMD_NETRECORDINIT_COMP             (0x80004107)
#define AS_INT_CMD_NETPLAYCUE                     (0x00004108)
#define AS_INT_CMD_NETPLAYCUE_COMP                (0x80004108)
#define AS_INT_CMD_NETCUEUPWITHDATA               (0x00004109)
#define AS_INT_CMD_NETCUEUPWITHDATA_COMP          (0x80004109)
#define AS_INT_CMD_NETVL_CUEUP                    (0x0000410A)
#define AS_INT_CMD_NETVL_CUEUP_COMP               (0x8000410A)
#define AS_INT_CMD_NETVL_REC                      (0x0000410B)
#define AS_INT_CMD_NETVL_REC_COMP                 (0x8000410B)
#define AS_INT_CMD_NETFFWD                        (0x0000410C)
#define AS_INT_CMD_NETFFWD_COMP                   (0x8000410C)
#define AS_INT_CMD_NETREWIND                      (0x0000410D)
#define AS_INT_CMD_NETREWIND_COMP                 (0x8000410D)
#define AS_INT_CMD_NETJOG                         (0x0000410E)
#define AS_INT_CMD_NETJOG_COMP                    (0x8000410E)
#define AS_INT_CMD_NETVAR                         (0x0000410F)
#define AS_INT_CMD_NETVAR_COMP                    (0x8000410F)
#define AS_INT_CMD_NETSHUTTLE                     (0x00004110)
#define AS_INT_CMD_NETSHUTTLE_COMP                (0x80004110)
#define AS_INT_CMD_NETPLAYNEXT                    (0x00004111)
#define AS_INT_CMD_NETPLAYNEXT_COMP               (0x80004111)
#define AS_INT_CMD_NETVL_NEXT                     (0x00004112)
#define AS_INT_CMD_NETVL_NEXT_COMP                (0x80004112)
#define AS_INT_CMD_NETVL_PREV                     (0x00004113)
#define AS_INT_CMD_NETVL_PREV_COMP                (0x80004113)
#define AS_INT_CMD_NETVL_TOP                      (0x00004114)
#define AS_INT_CMD_NETVL_TOP_COMP                 (0x80004114)
#define AS_INT_CMD_NETVL_END                      (0x00004115)
#define AS_INT_CMD_NETVL_END_COMP                 (0x80004115)
#define AS_INT_CMD_NETVL_RESUMECUEUP              (0x00004116)
#define AS_INT_CMD_NETVL_RESUMECUEUP_COMP         (0x80004116)
#define AS_INT_CMD_NETVL_EDLNEXT                  (0x00004117)
#define AS_INT_CMD_NETVL_EDLNEXT_COMP             (0x80004117)
#define AS_INT_CMD_NETVL_EDLPREV                  (0x00004118)
#define AS_INT_CMD_NETVL_EDLPREV_COMP             (0x80004118)
#define AS_INT_CMD_NETVL_EDLCUR                   (0x00004119)
#define AS_INT_CMD_NETVL_EDLCUR_COMP              (0x80004119)
#define AS_INT_CMD_NETVL_EDLTOP                   (0x00004120)
#define AS_INT_CMD_NETVL_EDLTOP_COMP              (0x80004120)
#define AS_INT_CMD_NETVL_EDLEND                   (0x00004121)
#define AS_INT_CMD_NETVL_EDLEND_COMP              (0x80004121)
#define AS_INT_CMD_NETPLAYKEY                     (0x00004122)
#define AS_INT_CMD_NETPLAYKEY_COMP                (0x80004122)
#define AS_INT_CMD_NETREPEATPLAY                  (0x00004123)
#define AS_INT_CMD_NETREPEATPLAY_COMP             (0x80004123)
#define AS_INT_CMD_NETRECESSENCEMARK              (0x00004124)
#define AS_INT_CMD_NETRECESSENCEMARK_COMP         (0x80004124)

#define AS_INT_CMD_NETSTARTPORTSTATUSREPORT       (0x00004200)
#define AS_INT_CMD_NETSTARTPORTSTATUSREPORT_COMP  (0x80004200)
#define AS_INT_CMD_NETPORTSTATUSREPORT            (0x00004201) // No "Comp"
#define AS_INT_CMD_GETITSTATUSTABLE               (0x00004202)
#define AS_INT_CMD_GETITSTATUSTABLE_COMP          (0x80004202)
#define AS_INT_CMD_IO2FPNOTIFY                    (0x00004203) // No "Comp"
#define AS_INT_CMD_EJECTKEYNOTIFY                 (0x00004204) // No "Comp"
#define AS_INT_CMD_MEDIALOCK                      (0x00004205)
#define AS_INT_CMD_MEDIALOCK_COMP                 (0x80004205)
#define AS_INT_CMD_MEDIAUNLOCK                    (0x00004206)
#define AS_INT_CMD_MEDIAUNLOCK_COMP               (0x80004206)
#define AS_INT_CMD_MEDIAINUSENOTIFY               (0x00004207) // No "Comp"
#define AS_INT_CMD_ITSTATUSCHANGENOTIFY           (0x00004208) // No "Comp"
#define AS_INT_CMD_I2FKEYDATASETNOTIFY            (0x00004209) // No "Comp"

// Network/Copy
#define AS_INT_CMD_ATTACHSHAREDMEMORY             (0x00005000)
#define AS_INT_CMD_ATTACHSHAREDMEMORY_COMP        (0x80005000)
#define AS_INT_CMD_GETNRTMETAXML                  (0x00005001)
#define AS_INT_CMD_GETNRTMETAXML_COMP             (0x80005001)
#define AS_INT_CMD_PUTNRTMETAXML                  (0x00005002)
#define AS_INT_CMD_PUTNRTMETAXML_COMP             (0x80005002)
#define AS_INT_CMD_GETGENERALMETA                 (0x00005003)
#define AS_INT_CMD_GETGENERALMETA_COMP            (0x80005003)
#define AS_INT_CMD_PUTGENERALMETA                 (0x00005004)
#define AS_INT_CMD_PUTGENERALMETA_COMP            (0x80005004)
#define AS_INT_CMD_OPENNRTFILE                    (0x00005005)
#define AS_INT_CMD_OPENNRTFILE_COMP               (0x80005005)
#define AS_INT_CMD_READNRTFILE                    (0x00005006)
#define AS_INT_CMD_READNRTFILE_COMP               (0x80005006)
#define AS_INT_CMD_WRITENRTFILE                   (0x00005007)
#define AS_INT_CMD_WRITENRTFILE_COMP              (0x80005007)
#define AS_INT_CMD_CLOSENRTFILE                   (0x00005008)
#define AS_INT_CMD_CLOSENRTFILE_COMP              (0x80005008)
#define AS_INT_CMD_DELETENRTFILE                  (0x00005009)
#define AS_INT_CMD_DELETENRTFILE_COMP             (0x80005009)
#define AS_INT_CMD_STARTCOPY                      (0x00005010)
#define AS_INT_CMD_STARTCOPY_COMP                 (0x80005010)
#define AS_INT_CMD_STARTCOPY_RETURN               (0x00005011)
#define AS_INT_CMD_ABORTCOPY                      (0x00005012)
#define AS_INT_CMD_ABORTCOPY_COMP                 (0x80005012)
#define AS_INT_CMD_GETDISCNRTFILESTAT             (0x00005013)
#define AS_INT_CMD_GETDISCNRTFILESTAT_COMP        (0x80005013)
#define AS_INT_CMD_PARSEHEADERPP                  (0x00005014)
#define AS_INT_CMD_PARSEHEADERPP_COMP             (0x80005014)
#define AS_INT_CMD_PARSEHEADERMETA                (0x00005015)
#define AS_INT_CMD_PARSEHEADERMETA_COMP           (0x80005015)
#define AS_INT_CMD_OPENCLIPCREATEWITHPARSEDHEADERFOOTER        (0x00005016)
#define AS_INT_CMD_OPENCLIPCREATEWITHPARSEDHEADERFOOTER_COMP   (0x80005016)
#define AS_INT_CMD_CLOSECLIPWITHPARSEDHEADERFOOTER             (0x00005017)
#define AS_INT_CMD_CLOSECLIPWITHPARSEDHEADERFOOTER_COMP        (0x80005017)
#define AS_INT_CMD_CLOSESESSION                   (0x00005018)
#define AS_INT_CMD_CLOSESESSION_COMP              (0x80005018)
#define AS_INT_CMD_CLOSEDELETECLIPWITHPARSEDHEADERFOOTER       (0x00005019)
#define AS_INT_CMD_CLOSEDELETECLIPWITHPARSEDHEADERFOOTER_COMP  (0x80005019)
#define AS_INT_CMD_PARSEFOOTERPP                  (0x00005020)
#define AS_INT_CMD_PARSEFOOTERPP_COMP             (0x80005020)
#define AS_INT_CMD_PARSEFOOTERMETA                (0x00005021)
#define AS_INT_CMD_PARSEFOOTERMETA_COMP           (0x80005021)
#define AS_INT_CMD_WRITESYSDATAITEM               (0x00005022)
#define AS_INT_CMD_WRITESYSDATAITEM_COMP          (0x80005022)
#define AS_INT_CMD_CREATEINTLVHEADERFOOTER        (0x00005023)
#define AS_INT_CMD_CREATEINTLVHEADERFOOTER_COMP   (0x80005023)
#define AS_INT_CMD_CREATESYSDATAITEM              (0x00005024)
#define AS_INT_CMD_CREATESYSDATAITEM_COMP         (0x80005024)
#define AS_INT_CMD_READPICPNTVIASHAREDMEMORY      (0x00005025)
#define AS_INT_CMD_READPICPNTVIASHAREDMEMORY_COMP (0x80005025)
#define AS_INT_CMD_MAKERTMETA                     (0x00005026)
#define AS_INT_CMD_MAKERTMETA_COMP                (0x80005026)
#define AS_INT_CMD_MAKENRTMETA                    (0x00005027)
#define AS_INT_CMD_MAKENRTMETA_COMP               (0x80005027)
#define AS_INT_CMD_FINALIZEMETA                   (0x00005028)
#define AS_INT_CMD_FINALIZEMETA_COMP              (0x80005028)
#define AS_INT_CMD_ESTIMATECLIPSIZE               (0x00005029)
#define AS_INT_CMD_ESTIMATECLIPSIZE_COMP          (0x80005029)
#define AS_INT_CMD_LOCKCOPYSESSION                (0x00005030)
#define AS_INT_CMD_LOCKCOPYSESSION_COMP           (0x80005030)
#define AS_INT_CMD_UNLOCKCOPYSESSION              (0x00005031)
#define AS_INT_CMD_UNLOCKCOPYSESSION_COMP         (0x80005031)
#define AS_INT_CMD_SEEKNRTFILE                    (0x00005032)
#define AS_INT_CMD_SEEKNRTFILE_COMP               (0x80005032)
#define AS_INT_CMD_TRUNCATENRTFILE                (0x00005033)
#define AS_INT_CMD_TRUNCATENRTFILE_COMP           (0x80005033)
#define AS_INT_CMD_BASEBANDCOPY                   (0x00005034)
#define AS_INT_CMD_BASEBANDCOPY_COMP              (0x80005034)
#define AS_INT_CMD_ABORTBASEBANDCOPY              (0x00005035)
#define AS_INT_CMD_ABORTBASEBANDCOPY_COMP         (0x80005035)
#define AS_INT_CMD_UPDATECLIPDURATION             (0x00005036)
#define AS_INT_CMD_UPDATECLIPDURATION_COMP        (0x80005036)

// Time Line
#define AS_INT_CMD_SETTLENABLE					  (0x00005037)
#define AS_INT_CMD_SETTLENABLE_COMP				  (0x80005037)
#define AS_INT_CMD_SETTLEXECTIME				  (0x00005038)
#define AS_INT_CMD_SETTLEXECTIME_COMP			  (0x80005038)
#define AS_INT_CMD_EXECTL						  (0x00005039)
#define AS_INT_CMD_EXECTL_COMP					  (0x80005039)
#define AS_INT_CMD_STOPTL						  (0x00005040)
#define AS_INT_CMD_STOPTL_COMP					  (0x80005040)
#define AS_INT_CMD_GETTLSTATUS					  (0x00005041)
#define AS_INT_CMD_GETTLSTATUS_COMP				  (0x80005041)
#define AS_INT_CMD_SETTLEVENT					  (0x00005042)
#define AS_INT_CMD_SETTLEVENT_COMP				  (0x80005042)
#define AS_INT_CMD_GETTLEVENTINFO				  (0x00005043)
#define AS_INT_CMD_GETTLEVENTINFO_COMP			  (0x80005043)
#define AS_INT_CMD_REMOVETLEVENT				  (0x00005044)
#define AS_INT_CMD_REMOVETLEVENT_COMP			  (0x80005044)
#define AS_INT_CMD_REMOVETLALLEVENT				  (0x00005045)
#define AS_INT_CMD_REMOVETLALLEVENT_COMP		  (0x80005045)
#define AS_INT_CMD_SETTLTCGMODE					  (0x00005046)
#define AS_INT_CMD_SETTLTCGMODE_COMP			  (0x80005046)
#define AS_INT_CMD_PRESETTLSTARTTCG				  (0x00005047)
#define AS_INT_CMD_PRESETTLSTARTTCG_COMP		  (0x80005047)

#define AS_INT_CMD_FPKEYNOTIFY                    (0x00005048) // No "Comp"
#define AS_INT_CMD_FPKEYSTATUSREQUEST             (0x00005049)
#define AS_INT_CMD_FPKEYSTATUSREQUEST_COMP        (0x80005049)
#define AS_INT_CMD_F2IFPMODECHANGENOTIFY          (0x00005050) // No "Comp"
#define AS_INT_CMD_NETSSCUEUP                     (0x00005051)
#define AS_INT_CMD_NETSSCUEUP_COMP                (0x80005051)
#define AS_INT_CMD_NETSSRESUMECUEUP               (0x00005052)
#define AS_INT_CMD_NETSSRESUMECUEUP_COMP          (0x80005052)
#define AS_INT_CMD_NETSSNEXT                      (0x00005053)
#define AS_INT_CMD_NETSSNEXT_COMP                 (0x80005053)
#define AS_INT_CMD_NETSSPREV                      (0x00005054)
#define AS_INT_CMD_NETSSPREV_COMP                 (0x80005054)
#define AS_INT_CMD_NETSSCUR                       (0x00005055)
#define AS_INT_CMD_NETSSCUR_COMP                  (0x80005055)
#define AS_INT_CMD_NETSSTOP                       (0x00005056)
#define AS_INT_CMD_NETSSTOP_COMP                  (0x80005056)
#define AS_INT_CMD_NETSSEND                       (0x00005057)
#define AS_INT_CMD_NETSSEND_COMP                  (0x80005057)
#define AS_INT_CMD_NETFORCEDEE                    (0x00005058)
#define AS_INT_CMD_NETFORCEDEE_COMP               (0x80005058)
#define AS_INT_CMD_INTERNALSTANDBYOFF             (0x00005059)
#define AS_INT_CMD_INTERNALSTANDBYOFF_COMP        (0x80005059)


// Log/HouseKeeping/DM
#define AS_INT_CMD_IOLOGSEND                      (0x00006000)
#define AS_INT_CMD_IOLOGSEND_COMP                 (0x80006000)
#define AS_INT_CMD_INJECT                         (0x00006001)
#define AS_INT_CMD_INJECT_COMP                    (0x80006001)
#define AS_INT_CMD_MESSAGEDISP                    (0x00006002) // No "Comp"
#define AS_INT_CMD_REQLEDONOFF                    (0x00006003) // No "Comp"
#define AS_INT_CMD_PDLOGCLEAR                     (0x00006004)
#define AS_INT_CMD_PDLOGCLEAR_COMP                (0x80006004)
#define AS_INT_CMD_REQVERSIONUP                   (0x00006005)
#define AS_INT_CMD_REQVERSIONUP_COMP              (0x80006005)
#define AS_INT_CMD_REQU1MAINTESENDDATA            (0x00006006)
#define AS_INT_CMD_REQU1MAINTESENDDATA_COMP       (0x80006006)
#define AS_INT_CMD_REQSTANDBYON                   (0x00006007)
#define AS_INT_CMD_REQSTANDBYON_COMP              (0x80006007)
#define AS_INT_CMD_REQSTANDBYOFF                  (0x00006008)
#define AS_INT_CMD_REQSTANDBYOFF_COMP             (0x80006008)
#define AS_INT_CMD_NOTIFYSTANDBYSTATUS            (0x00006009)
#define AS_INT_CMD_REQANTICLOGTIMERDISABLE        (0x00006010)
#define AS_INT_CMD_REQANTICLOGTIMERDISABLE_COMP   (0x80006010)
#define AS_INT_CMD_REQANTICLOGTIMERENABLE         (0x00006011)
#define AS_INT_CMD_REQANTICLOGTIMERENABLE_COMP    (0x80006011)
#define AS_INT_CMD_NOTIFYPBCONDITION              (0x00006012)
#define AS_INT_CMD_NOTIFYDRIVESTATUS              (0x00006013)
#define AS_INT_CMD_REQCHECKKEY                    (0x00006014)
#define AS_INT_CMD_REQCHECKKEY_COMP               (0x80006014)
#define AS_INT_CMD_REQDELETEKEY                   (0x00006015)
#define AS_INT_CMD_REQDELETEKEY_COMP              (0x80006015)
#define AS_INT_CMD_REQSETKEY                      (0x00006016)
#define AS_INT_CMD_REQSETKEY_COMP                 (0x80006016)
#define AS_INT_CMD_POWEROFFREQ                    (0x00006017)
#define AS_INT_CMD_POWEROFFREQ_COMP               (0x80006017)
#define AS_INT_CMD_REQLAMPCONTROL                 (0x00006018)

// Update
#define AS_INT_CMD_UPDATENOTIFY                   (0x00007000) // No "Comp"
#define AS_INT_CMD_STARTUPDATE                    (0x00007001) // No "Comp"
#define AS_INT_CMD_GETUPDATEPKG                   (0x00007002)
#define AS_INT_CMD_GETUPDATEPKG_COMP              (0x80007002)
#define AS_INT_CMD_STARTUPDATING                  (0x00007003) // No "Comp"
#define AS_INT_CMD_ENDUPDATING                    (0x00007004) // No "Comp"

// Thumbnail (NetAPI<->Converter)
#define AS_INT_CMD_OPENGETTHUMBNAIL               (0x00008000)
#define AS_INT_CMD_OPENGETTHUMBNAIL_COMP          (0x80008000)
#define AS_INT_CMD_GETTHUMBNAIL                   (0x00008001)
#define AS_INT_CMD_GETTHUMBNAIL_COMP              (0x80008001)
#define AS_INT_CMD_CLOSETHUMBNAIL                 (0x00008002)
#define AS_INT_CMD_CLOSETHUMBNAIL_COMP            (0x80008002)
#define AS_INT_CMD_DELETETHUMBNAILCACHE           (0x00008003)
#define AS_INT_CMD_DELETETHUMBNAILCACHE_COMP      (0x80008003)
#define AS_INT_CMD_RENAMETHUMBNAILCACHE           (0x00008004)
#define AS_INT_CMD_RENAMETHUMBNAILCACHE_COMP      (0x80008004)
#define AS_INT_CMD_CANCELGETTHUMBNAIL             (0x00008005)
#define AS_INT_CMD_CANCELGETTHUMBNAIL_COMP        (0x80008005)
// Thumbnail (Converter<->MA)
#define AS_INT_CMD_OPENTHUMBFILE                  (0x00008010)
#define AS_INT_CMD_OPENTHUMBFILE_COMP             (0x80008010)
#define AS_INT_CMD_READTHUMBFILE                  (0x00008011)
#define AS_INT_CMD_READTHUMBFILE_COMP             (0x80008011)
#define AS_INT_CMD_WRITETHUMBFILE                 (0x00008012)
#define AS_INT_CMD_WRITETHUMBFILE_COMP            (0x80008012)
#define AS_INT_CMD_CLOSETHUMBFILE                 (0x00008013)
#define AS_INT_CMD_CLOSETHUMBFILE_COMP            (0x80008013)
// KeyFrame (Converter<->MA / NetAPI<->MA)
#define AS_INT_CMD_SETMATERIALKEYFRAMEBYNAME      (0x00008020)
#define AS_INT_CMD_SETMATERIALKEYFRAMEBYNAME_COMP (0x80008020)
#define AS_INT_CMD_GETMATERIALKEYFRAME            (0x00008021)
#define AS_INT_CMD_GETMATERIALKEYFRAME_COMP       (0x80008021)
// MaterialStatus (NetAPI<->MA)
#define AS_INT_CMD_SETMATERIALSTATUSBYNAME        (0x00008030)
#define AS_INT_CMD_SETMATERIALSTATUSBYNAME_COMP   (0x80008030)

// GeneralFile (Converter<->MA)
#define AS_INT_CMD_OPENGENERALFILE                (0x00008040)
#define AS_INT_CMD_OPENGENERALFILE_COMP           (0x80008040)
#define AS_INT_CMD_READGENERALFILE                (0x00008041)
#define AS_INT_CMD_READGENERALFILE_COMP           (0x80008041)
#define AS_INT_CMD_WRITEGENERALFILE               (0x00008042)
#define AS_INT_CMD_WRITEGENERALFILE_COMP          (0x80008042)
#define AS_INT_CMD_CLOSEGENERALFILE               (0x00008043)
#define AS_INT_CMD_CLOSEGENERALFILE_COMP          (0x80008043)
#define AS_INT_CMD_MKGENERALDIR                   (0x00008044)
#define AS_INT_CMD_MKGENERALDIR_COMP              (0x80008044)
#define AS_INT_CMD_RENAMEGENERALFILE              (0x00008045)
#define AS_INT_CMD_RENAMEGENERALFILE_COMP         (0x80008045)
#define AS_INT_CMD_DELETEGENERALFILE              (0x00008046)
#define AS_INT_CMD_DELETEGENERALFILE_COMP         (0x80008046)
#define AS_INT_CMD_RMGENERALDIR                   (0x00008047)
#define AS_INT_CMD_RMGENERALDIR_COMP              (0x80008047)

// ExpandThumbnail (NetAPI<->MA)
#define AS_INT_CMD_GETMATERIALTCLIST              (0x00008050)
#define AS_INT_CMD_GETMATERIALTCLIST_COMP         (0x80008050)
// ChapterThumbnail (NetAPI<->MA)
#define AS_INT_CMD_GETMATERIALEMLIST              (0x00008051)
#define AS_INT_CMD_GETMATERIALEMLIST_COMP         (0x80008051)
#define AS_INT_CMD_ADDMATERIALEM                  (0x00008052)
#define AS_INT_CMD_ADDMATERIALEM_COMP             (0x80008052)
#define AS_INT_CMD_DELETEMATERIALEM               (0x00008053)
#define AS_INT_CMD_DELETEMATERIALEM_COMP          (0x80008053)

 
/*---------------------------------------------------------------------------*/
/* [DriveID(1byte)]                                                          */
/*---------------------------------------------------------------------------*/
//DriveID 1Byte = [BoxID:4bit][StorageID:4bit]
//(Local Connect supports maximum 8 Boxes)

#define AS_DRVID_MAKE_DRV_ID(box_id, storage_id) \
		((((box_id) << 4) & 0xF0) | ((storage_id) & 0x0F))

#define AS_DRVID_GET_BOX_ID(drv_id)		(((drv_id) >> 4) & 0x0F)
#define AS_DRVID_GET_STORAGE_ID(drv_id)	((drv_id) & 0x0F)

// DriveID for BoxID=1
#define AS_DRIVE_ID_B1_LS              (0x11)    // LocalStorage
#define AS_DRIVE_ID_B1_SXS1            (0x12)    // SxS Slot1
#define AS_DRIVE_ID_B1_SXS2            (0x13)    // SxS Slot2
#define AS_DRIVE_ID_B1_PD              (0x14)    // PD PROAV
#define AS_DRIVE_ID_B1_PD_BPAV         (0x15)    // PD UserData(BPAV)
#define AS_DRIVE_ID_B1_PD_XD           (0x16)    // PD UserData(XDROOT)
//#define AS_DRIVE_ID_B1_PD_SYSDECK    (0x17)    // PD UserData(TentativeName:SysDeck)

// DriveID for BoxID=2
#define AS_DRIVE_ID_B2_LS              (0x21)    // LocalStorage
#define AS_DRIVE_ID_B2_SXS1            (0x22)    // SxS Slot1
#define AS_DRIVE_ID_B2_SXS2            (0x23)    // SxS Slot2
#define AS_DRIVE_ID_B2_PD              (0x24)    // PD PROAV
#define AS_DRIVE_ID_B2_PD_BPAV         (0x25)    // PD UserData(BPAV)
#define AS_DRIVE_ID_B2_PD_XD           (0x26)    // PD UserData(XDROOT)
//#define AS_DRIVE_ID_B2_PD_SYSDECK    (0x27)    // PD UserData(TentativeName:SysDeck)

// DriveID for BoxID=3
#define AS_DRIVE_ID_B3_LS              (0x31)    // LocalStorage
#define AS_DRIVE_ID_B3_SXS1            (0x32)    // SxS Slot1
#define AS_DRIVE_ID_B3_SXS2            (0x33)    // SxS Slot2
#define AS_DRIVE_ID_B3_PD              (0x34)    // PD PROAV
#define AS_DRIVE_ID_B3_PD_BPAV         (0x35)    // PD UserData(BPAV)
#define AS_DRIVE_ID_B3_PD_XD           (0x36)    // PD UserData(XDROOT)
//#define AS_DRIVE_ID_B3_PD_SYSDECK    (0x37)    // PD UserData(TentativeName:SysDeck)

// DriveID for BoxID=4
#define AS_DRIVE_ID_B4_LS              (0x41)    // LocalStorage
#define AS_DRIVE_ID_B4_SXS1            (0x42)    // SxS Slot1
#define AS_DRIVE_ID_B4_SXS2            (0x43)    // SxS Slot2
#define AS_DRIVE_ID_B4_PD              (0x44)    // PD PROAV
#define AS_DRIVE_ID_B4_PD_BPAV         (0x45)    // PD UserData(BPAV)
#define AS_DRIVE_ID_B4_PD_XD           (0x46)    // PD UserData(XDROOT)
//#define AS_DRIVE_ID_B4_PD_SYSDECK    (0x47)    // PD UserData(TentativeName:SysDeck)

// DriveID for BoxID=5
#define AS_DRIVE_ID_B5_LS              (0x51)    // LocalStorage
#define AS_DRIVE_ID_B5_SXS1            (0x52)    // SxS Slot1
#define AS_DRIVE_ID_B5_SXS2            (0x53)    // SxS Slot2
#define AS_DRIVE_ID_B5_PD              (0x54)    // PD PROAV
#define AS_DRIVE_ID_B5_PD_BPAV         (0x55)    // PD UserData(BPAV)
#define AS_DRIVE_ID_B5_PD_XD           (0x56)    // PD UserData(XDROOT)
//#define AS_DRIVE_ID_B5_PD_SYSDECK    (0x57)    // PD UserData(TentativeName:SysDeck)

// DriveID for BoxID=6
#define AS_DRIVE_ID_B6_LS              (0x61)    // LocalStorage
#define AS_DRIVE_ID_B6_SXS1            (0x62)    // SxS Slot1
#define AS_DRIVE_ID_B6_SXS2            (0x63)    // SxS Slot2
#define AS_DRIVE_ID_B6_PD              (0x64)    // PD PROAV
#define AS_DRIVE_ID_B6_PD_BPAV         (0x65)    // PD UserData(BPAV)
#define AS_DRIVE_ID_B6_PD_XD           (0x66)    // PD UserData(XDROOT)
//#define AS_DRIVE_ID_B6_PD_SYSDECK    (0x67)    // PD UserData(TentativeName:SysDeck)

// DriveID for BoxID=7
#define AS_DRIVE_ID_B7_LS              (0x71)    // LocalStorage
#define AS_DRIVE_ID_B7_SXS1            (0x72)    // SxS Slot1
#define AS_DRIVE_ID_B7_SXS2            (0x73)    // SxS Slot2
#define AS_DRIVE_ID_B7_PD              (0x74)    // PD PROAV
#define AS_DRIVE_ID_B7_PD_BPAV         (0x75)    // PD UserData(BPAV)
#define AS_DRIVE_ID_B7_PD_XD           (0x76)    // PD UserData(XDROOT)
//#define AS_DRIVE_ID_B7_PD_SYSDECK    (0x77)    // PD UserData(TentativeName:SysDeck)

// DriveID for BoxID=8
#define AS_DRIVE_ID_B8_LS              (0x81)    // LocalStorage
#define AS_DRIVE_ID_B8_SXS1            (0x82)    // SxS Slot1
#define AS_DRIVE_ID_B8_SXS2            (0x83)    // SxS Slot2
#define AS_DRIVE_ID_B8_PD              (0x84)    // PD PROAV
#define AS_DRIVE_ID_B8_PD_BPAV         (0x85)    // PD UserData(BPAV)
#define AS_DRIVE_ID_B8_PD_XD           (0x86)    // PD UserData(XDROOT)
//#define AS_DRIVE_ID_B8_PD_SYSDECK    (0x87)    // PD UserData(TentativeName:SysDeck)

/*---------------------------------------------------------------------------*/
/* [FileType(4byte)]                                                         */
/*---------------------------------------------------------------------------*/
#define AS_FILE_TYPE_NULL          (0)        
#define AS_FILE_TYPE_AUDIO_CH1     (1)      // Audio ch1
#define AS_FILE_TYPE_AUDIO_CH2     (2)      // Audio ch2
#define AS_FILE_TYPE_AUDIO_CH3     (3)      // Audio ch3
#define AS_FILE_TYPE_AUDIO_CH4     (4)      // Audio ch4
#define AS_FILE_TYPE_AUDIO_CH5     (5)      // Audio ch5
#define AS_FILE_TYPE_AUDIO_CH6     (6)      // Audio ch6
#define AS_FILE_TYPE_AUDIO_CH7     (7)      // Audio ch7
#define AS_FILE_TYPE_AUDIO_CH8     (8)      // Audio ch8
#define AS_FILE_TYPE_VIDEO         (9)      // Video
#define AS_FILE_TYPE_PROXY         (10)     // Proxy
#define AS_FILE_TYPE_META          (11)     // RT Meta
#define AS_FILE_TYPE_AV_INTERLEAVED (12)    // AV Interleaved
#define AS_FILE_TYPE_PROXY_SYS_V   (97)     // SystemItem + Video
#define AS_FILE_TYPE_PROXY_AUDIO   (98)     // Audio
#define AS_FILE_TYPE_FILL          (99)     // FILL

/*---------------------------------------------------------------------------*/
/* [Clip Elements(4byte)]                                                    */
/*---------------------------------------------------------------------------*/
#define AS_CLIP_A1_ELM        (0x00000001)        // Audio ch1   (bit0)
#define AS_CLIP_A2_ELM        (0x00000002)        // Audio ch2   (bit1)
#define AS_CLIP_A3_ELM        (0x00000004)        // Audio ch3   (bit2)
#define AS_CLIP_A4_ELM        (0x00000008)        // Audio ch4   (bit3)
#define AS_CLIP_A5_ELM        (0x00000010)        // Audio ch5   (bit4)
#define AS_CLIP_A6_ELM        (0x00000020)        // Audio ch6   (bit5)
#define AS_CLIP_A7_ELM        (0x00000040)        // Audio ch7   (bit6)
#define AS_CLIP_A8_ELM        (0x00000080)        // Audio ch8   (bit7)
#define AS_CLIP_A_ELM         (0x00000100)        // Audio       (bit8)
#define AS_CLIP_VD_ELM        (0x00000200)        // Video       (bit9)
#define AS_CLIP_SS_ELM        (0x00000400)        // Proxy       (bit10)
#define AS_CLIP_RT_ELM        (0x00000800)        // RT Meta     (bit11)
#define AS_CLIP_AV_INTERLEAVED_ELM  (0x00001000)  // AV Interleaved (bit12)
#define AS_CLIP_ALL_ELM       (0x00008000)        // ALL Essences(bit15)

/*---------------------------------------------------------------------------*/
/* [OpenMode(4byte)]                                                         */
/*---------------------------------------------------------------------------*/
#define AS_OPEN_READ          (0x00000001)        // enables Read   operation (bit0)
#define AS_OPEN_WRITE         (0x00000002)        // enables Write  operation (bit1)
#define AS_OPEN_TRUNCATE      (0x00000004)        // enables Truncate operation (bit2)
#define AS_OPEN_CREATE        (0x00000010)        // enables Create operation (bit4)
#define AS_OPEN_OPENEND       (0x00000100)        // enables OpenEnd operation (bit8)

/*---------------------------------------------------------------------------*/
/* [Material Type(4byte)]                                                    */
/*---------------------------------------------------------------------------*/
#define AS_MATERIAL_TYPE_CLIP        (1)
#define AS_MATERIAL_TYPE_EDITLIST    (2)
#define AS_MATERIAL_TYPE_TAKE        (3)
#define AS_MATERIAL_TYPE_ALLCLIPS    (4)    // for TapeLike Playback
#define AS_MATERIAL_TYPE_SNAPSHOT    (5)
#define AS_MATERIAL_TYPE_TMPCLIP     (6)

/*---------------------------------------------------------------------------*/
/* [Allocations in Storage (KAKIZAMA)]                                       */
/*---------------------------------------------------------------------------*/
#define AS_MXF_SE_HEADER_SIZE   (65536)     // MXF-OP1a SingleEssence Header Size
#define AS_MXF_SE_FOOTER_SIZE   (65536)     // MXF-OP1a SingleEssence Footer Size

#define AS_RUB_SIZE             (65536)     // 64KB
#define AS_SECTOR_SIZE_LS       (4096)      // 4KB (LS = Local Storage)
#define AS_SECTOR_SIZE_PD       (2048)      // 2KB
#define AS_SECTOR_SIZE_SXS      (2048)      // 2KB

/*---------------------------------------------------------------------------*/
/* [ASCA Original Boolean]                                                   */
/*---------------------------------------------------------------------------*/
#define AS_IS_INTERNAL_BOOL_FALSE	(0)
#define AS_IS_INTERNAL_BOOL_TRUE	(1)

/*---------------------------------------------------------------------------*/
/* [Switch Info]                                                             */
/*---------------------------------------------------------------------------*/
#define AS_SWINFO_MONOUT_REC		(1)
#define AS_SWINFO_MONOUT_PB			(2)
#define AS_SWINFO_MONOUT_DEFAULT	(AS_SWINFO_MONOUT_REC)

#define AS_SWINFO_MEDIASEL_DEFAULT	(AS_DRIVE_ID_B1_LS)

#define AS_SWINFO_REMOTE_OFF		(0)
#define AS_SWINFO_REMOTE_ON			(1)
#define AS_SWINFO_REMOTE_DEFAULT	(AS_SWINFO_REMOTE_OFF)

/*---------------------------------------------------------------------------*/
/* [Oher Defines]                                                            */
/*---------------------------------------------------------------------------*/
#define AS_MAX_CLIP_NAME_LEN		(256)
#define AS_MAX_PATH_LEN				(256)
#define AS_MAX_GENERAL_PATH_LEN		(1024)
#define AS_MAX_FILE_TYPE			(32)
#define AS_MAX_TC_NUM				(48)
#define AS_MAX_EM_NUM				(48)

#define AS_SEARCH_CLIP_ID			(0)
#define AS_SEARCH_CLIP_NUM			(1)
#define AS_SEARCH_CLIP_FTC			(2)
#define AS_SEARCH_CLIP_LTC			(3)
#define AS_SEARCH_CLIP_NUM_EXT		(4)

#define AS_SEEK_SET					(0)
#define AS_SEEK_CUR					(1)
#define AS_SEEK_END					(2)

#define AS_RD_SEG_NOCARE			(0)
#define AS_WR_SEG_BODY				(1)
#define AS_WR_SEG_FOOTER			(2)
#define AS_WR_SEG_HEADER			(3)
#define AS_WR_SEG_BODYLAST			(4)
#define AS_WR_SEG_BODYPRE			(5)
#define AS_WR_SEG_BODYPOST			(6)

#define AS_NRT_RB_FRAME_LENGTH		(60)
#define AS_NRT_LTC_DATA_LENGTH		(8)
#define AS_NRT_UMID_DATA_LENGTH		(64)
#define AS_NRT_KLVPACKET_DATA_MAX	(252)

#define AS_META_LIB_NUM_FRAMES		(60)

#define AS_MBX_IO_LIF				"LIF_IO_MBX"	/// IO LIF itron msg MBX
#define AS_MBX_IT_CMD				"CMDIF_IT_MBX"	/// IT Command Mail Box
#define AS_MBX_IT_LOG				"LOGIF_IT_MBX"	/// IT Log Mail Box
#define AS_MBX_IT_HKP				"HKPIF_IT_MBX"	/// IT Hkp Mail Box

#define AS_CHANGED_MATERIAL_NUM		(10)
#define AS_EM_DATA_LEN				(32)
#define AS_OFFSET_FRAME_LIST_NUM	(128)
#define AS_SOFT_KEY_PASSWD_LEN		(4)

#define AS_KEY_ID_LEN				(16)
#define AS_PASSWORD_LEN				(16)
#define AS_ANSWER_LEN				(64)
#define AS_HINT_LEN					(128)

typedef uint8_t		AsProxyOption;
#define AS_PRX_OPT_AUTO				(0)
#define AS_PRX_OPT_NOT_GEN			(1)
#define AS_PRX_OPT_GEN				(2)

#endif	// __ASCACMN_IMSG_DEF_H

/* end of $RCSfile: asca_imsg_def.h,v $
 * COPYRIGHT (C) 2009 SONY Corporation
 */
